summaryrefslogtreecommitdiffstats
path: root/pushpkgs
diff options
context:
space:
mode:
authorJustin Davis <jrcd83@gmail.com>2011-09-21 23:18:58 +0200
committerJustin Davis <jrcd83@gmail.com>2011-09-21 23:18:58 +0200
commitd4ad6bae77cfd68d4ac79471ee6f977621fb9b31 (patch)
treefaa5ccc3d3c01efc94a93691df7fc2a3517c29c9 /pushpkgs
parentc3f405c8f1af4a06661584e12f8449e86389a772 (diff)
downloadgenpkg-d4ad6bae77cfd68d4ac79471ee6f977621fb9b31.tar.gz
genpkg-d4ad6bae77cfd68d4ac79471ee6f977621fb9b31.tar.xz
Refinish PKGBUILD generation.
Adds makepkgbuild script. The call to pbfields is moved from perl-pkg to makepkgbuild. pbfields prints the PKGBUILD header now, too. makepkgbuild is called from the Makefile with the proper env var set. Pretty close to 100% working again.
Diffstat (limited to 'pushpkgs')
-rwxr-xr-xpushpkgs46
1 files changed, 23 insertions, 23 deletions
diff --git a/pushpkgs b/pushpkgs
index ff00c11..3463c67 100755
--- a/pushpkgs
+++ b/pushpkgs
@@ -2,46 +2,46 @@
prependid()
{
- awk '!/^#/ && ! done { print "# $Id$"; done = 1 } 1' PKGBUILD \
- > PKGBUILD.new
- mv PKGBUILD.new PKGBUILD
+ awk '!/^#/ && ! done { print "# $Id$"; done = 1 } 1' PKGBUILD \
+ > PKGBUILD.new
+ mv PKGBUILD.new PKGBUILD
}
# Make sure that the package directories are added to the SVN repo.
syncsvn()
{
- svn add --parents PKGBUILD ../repos
- # Make sure that the Id keyword-property is active.
- svn propset svn:keywords Id PKGBUILD
+ svn add --parents PKGBUILD ../repos
+ # Make sure that the Id keyword-property is active.
+ svn propset svn:keywords Id PKGBUILD
}
if [ -z "$DEST" ] ; then
- echo "Specify the destination directory with the DEST env var." 1>&2
- exit 1
+ echo "Specify the destination directory with the DEST env var." 1>&2
+ exit 1
fi
cd pkg || exit 1
pkgdir=$(pwd)
while [ $# -gt 0 ] ; do
- pkg=$1 ; shift
- if [ ! -d "$pkg" ] ; then
- echo "pkg/$pkg was not found." 1>&2
- continue
- fi
+ pkg=$1 ; shift
+ if [ ! -d "$pkg" ] ; then
+ echo "pkg/$pkg was not found." 1>&2
+ continue
+ fi
- echo "$DEST/$pkg"
- if [ -d "$DEST/$pkg" ] ; then
- rm -rf "$DEST/$pkg/trunk/"*
- fi
+ echo "$DEST/$pkg"
+ if [ -d "$DEST/$pkg" ] ; then
+ rm -rf "$DEST/$pkg/trunk/"*
+ fi
- mkdir -p "$DEST/$pkg/"{trunk,repos}
- cp -r -t "$DEST/$pkg/trunk" "$pkg"/*
+ mkdir -p "$DEST/$pkg/"{trunk,repos}
+ cp -r -t "$DEST/$pkg/trunk" "$pkg"/*
- cd "$DEST/$pkg/trunk"
- prependid
- syncsvn >/dev/null 2>&1
+ cd "$DEST/$pkg/trunk"
+ prependid
+ syncsvn >/dev/null 2>&1
- cd "$pkgdir"
+ cd "$pkgdir"
done